Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604983 - Eog is not displaying images after opening specific .ico file
Eog is not displaying images after opening specific .ico file
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: eog (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
Depends On: 582584
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 04:11 EDT by Lubos Kocman
Modified: 2017-12-06 06:32 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 06:32:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tarball with images (48.93 KB, application/x-tar)
2010-06-17 04:11 EDT, Lubos Kocman
no flags Details
Ico file specification (24.63 KB, image/gif)
2010-06-17 04:12 EDT, Lubos Kocman
no flags Details
screenshot of the canvas problem (109.53 KB, image/jpeg)
2010-06-17 04:12 EDT, Lubos Kocman
no flags Details

  None (edit)
Description Lubos Kocman 2010-06-17 04:11:23 EDT
Created attachment 424713 [details]
tarball with images

Description of problem:

I just figured out that if you'll open specific ico file (see attachement), rest of the images (in random formats) are not being displayed while clicking the next button.

The .ico file has size 16x16

Version-Release number of selected component (if applicable):

eog-2.28.2-4.el6.x86_64

How reproducible:


Steps to Reproduce:

1. Extract the tarball on the desktop
2. Double click the redhat.ico file (this will fail with error message)
3. Repeat step 2 (now eog will be displayed, but image will not be displayed on the canvas.
4. Click multiple times on the Next button. (See that images are being displayed in the title, but not on the main canvas).
  
Actual results:

Images are not being displayed

Expected results:

Images should be displayed

Additional info:

See .ico file specification (ico_file_spec.gif)
See eog_canvas_problem.jpg for the screenshot of the problem
Comment 1 Lubos Kocman 2010-06-17 04:12:15 EDT
Created attachment 424714 [details]
Ico file specification
Comment 2 Lubos Kocman 2010-06-17 04:12:35 EDT
Created attachment 424716 [details]
screenshot of the canvas problem
Comment 4 RHEL Product and Program Management 2010-06-17 04:33:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 RHEL Product and Program Management 2010-07-15 10:23:17 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 6 Jan Kurik 2017-12-06 06:32:56 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.